@import url('https://fonts.googleapis.com/css2?family=Jost:wght@300;400;500&family=Open+Sans:ital,wght@0,500;0,600;0,700;1,500&display=swap');



*,
*:after,
*:before{
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin : 0;
    padding: 0;
}

:active,
:hover,
:focus{
    outline: 0 !important;
    outline-offset: 0 !important;
}

a,a:hover{
    text-decoration: none;
}

a:hover{
    color: var(--yellow-color) !important;
}

ul,ol{
    margin: 0;
    padding: 0;
}

/* variable define  */

:root{
    --yellow-color: #FFC222;
    --green-color: #00a149;
    --gray-color: #b0b0b0;
    --white-color:#fff;
    --black-color: #19191d;
    --primary-font:  'Open Sans', sans-serif;
    --secondary-font: 'Jost', sans-serif;
}

html{
    scroll-behavior: smooth;
}

body{
    font-family: var(--primary-font);
    font-size: 100%;
    font-weight: 400;
}


/* for scrollbar  */

::-webkit-scrollbar{
    width: 6px;
}
::-webkit-scrollbar-track{
    background-color: var(--white-color);
}
::-webkit-scrollbar-thumb{
    background-color: var(--green-color);
    
}


/* custom css design  */

h1{
    font-size: 58px;
    font-weight: 900;
    color: var(--white-color);
}

h1 span{
    color: var(--yellow-color);
}

h2,h4{
    color:var(--green-color);
    font-family: var(--secondary-font);
    text-transform: capitalize;
}

h2{
    font-size:2rem;
    font-weight: 700;
}
h3{
    font-size: 1.125rem;
    font-weight: 800;
}
h5{
    text-transform: capitalize;
    color: var(--black-color);
    font-family: var(--secondary-font);
    font-size: 1rem;
    font-weight: 700;

}

p{
    font-size: 1rem;
    color: var(--gray-color);
    font-weight: 400;
    letter-spacing: 1px;
    line-height: 1.7rem;
}

.main-btn{
    display: inline-block;
    padding: 0.625rem 1.875rem;
    line-height: 1.5625rem;
    background-color: var(--yellow-color);
    border:0.1875rem soid var(--yellow-color);
    font-size: 0.9375rem;
    color: var(--black-color);
    font-weight: 600;
    text-transform: capitalize;
    border-radius: 0.5rem;
    box-shadow: 0px 2px 10px -1px rgb(0 0 0 / 19%);
    -webkit-transition: all 0.4s ease-out 0s;
    -o-transition: all 0.4s ease-out 0s;
    -moz-transition: all 0.4s ease-out 0s;
    transition: all 0.4s ease-out 0s;
}

.main-btn:hover{
    background-color: transparent;
    color: var(--yellow-color);
}
.wrapper{
    padding-top: 4.25rem;
    padding-bottom:4.25rem ;
}
.text-content{
    width: 70%;
    margin: auto;
}

/* header-design  */

.navigation-wrap{
    position: fixed;
    width: 100%;
    left: 0;
    z-index: 1000;
    -webkit-transition: 0.3s all ease-out;
    transition: 0.3s all ease-out;
}

.navigation-wrap .nav-item{
    padding: 0 0.625rem;
    transition: 0.3s all linear;
}

.navbar-toggler:focus{
    outline: unset;
    border: unset;
    box-shadow: none;
}

.nav-link{
    font-size: 0.9375rem;
    font-weight: 400;
    color: var(--white-color);
    text-transform: capitalize;
    letter-spacing: 1px;
}
.nav-link:hover,
.nav-link.active{
    color: var(--yellow-color) !important;

}
.navigation-wrap .main-btn{
    padding: 0.3rem 1.4rem;
    margin-left: 0.625rem;
}

/* change navber styling scroll-on  */

.navigation-wrap.scroll-on{
    position: fixed;
    background-color: var(--white-color);
    top: 0;
    left: 0;
    width: 100%;
    box-shadow: 0 0.125 1.75 0 rgb(0,0,0,0.9);
    transition: all 0.15s ease-in-out 0s;
}
.navigation-wrap.scroll-on .nav-link{
    color: var(--black-color);
}
.navigation-wrap.scroll-on .nav-link:hover,
.navigation-wrap.scroll-on .nav-link.active{
    color: var(--yellow-color);
}


/* top-banner  */

.navbar-nav{
    align-items: center !important;
}
.top-banner{
    width: 100%;
    background-image: url(../Pizza-images/bg-1.jpg); 
    padding: 10.89rem 0 9rem;
}

/* our menu section  */

.card{
    border:none;
}
.food-menu .link-cat-produt{
    position: relative;
    display: block;
    z-index: 1;

}
.food-menu .link-cat-produt::before{
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 90%;
    height: 120%;
    border-radius: 50%;
    z-index: -1;
    transform: translateX(-50%) translateY(-50%) scale(0);
    background-color: var(--yellow-color);
    transform: 0.4s ease;
    -webkit-transform: 0.4s ease;
    -moz-transform: 0.4s ease;
    -ms-transform: 0.4s ease;
    -o-transform: 0.4s ease;
}

.card:hover .link-cat-produt::before{
    transform: translateX(-50%) translateY(-50%) scale(1);
}
.cat-title{
    margin-top: 10px;
}
.cat-title a{
    color: #1E1D23 !important;
    text-align: center;
    position: relative;
    display: inline-block;
    font-weight: 700;
}
.card:hover .cat-title a{
    color: var(--yellow-color) !important;
}


/* About us Section  */

.about-section{
    background-color: var(--black-color);
}
.about-content{
    padding-left: 2rem;
}
.card, 
.card img{
    border-radius: 0.625rem;
}  

.food-type ul li{
    color: var(--gray-color);
    line-height: 32px;
    font-size: 1rem;
    margin-left: 30px;
    position: relative;
}
.food-type ul li::before{
    position: absolute;
    left: -2.5rem;
    color: var(--yellow-color);
    font-size: 1.25rem;
    font-family: "Font Awesome 6 Free";
    font-weight: 800;
    vertical-align: middle;
    padding-right: 3px;
    display: inline-block;
    content: '\f560';
    
}


/* explore food  */

.explore-img img{
    border-radius: 10px 10px 0 0 !important;
    object-fit: cover;
}


/* testimonal section  */

.testimonial {
    padding-bottom: 120px;
    background: var(--green-color);
}
.testimonial h2{
    color: var(--black-color);
}
.testimonial .carousel-item{
    background-color: #19191d;
    padding:  10rem 3rem;
    margin-top: 3rem;
    text-align: center;
    border-radius: 0.9rem;
}
.testimonial .carousel-caption img{
    max-width: 5rem;
    border-radius: 50%;
    margin: auto;
    padding: 0.31125rem;
}
.testimonial .carousel-caption p{
    font-size: 0.95rem;
}
.testimonial .carousel-indicators{
    bottom: -2.815rem;
}
.testimonial .carousel-indicators button{
    width: 15px;
    height: 15px;
    outline: none;
    border-radius: 50%;
    border: none;
    margin-right: 1rem;
    opacity: 0.2;
    background: #fff;
}

.testimonial .carousel-indicators button.active{
    opacity: 1;
}


/* footer  */

.footer{
    background: var(--black-color);
}

.footer .social-links a{
    color: var(--white-color) !important;
    padding: 0 1rem;
    font-size: 1.5rem;
}

.newsletter .form-control{

    height: 2.5rem;
    background: transparent;
    border: 2px solid var(--yellow-color);
    border-radius: 10px !important;
}
.newsletter button{
    height: 2.5rem;
    margin-left: 5px;
}

.form-control .focus{
    outline: none;
}

.form-control:focus {
    color: #7d7f81;
    background-color: rgba(255, 255, 255, 0);
    border-color:var(--yellow-color);
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 109, 253, 0);
}